--- title: "Create Intents" slug: "create-intents" updated: 2025-10-21T13:53:56Z published: 2025-10-21T13:53:56Z canonical: "api-docs.blinkpayment.co.uk/create-intents" --- > ## Documentation Index > Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt > Use this file to discover all available pages before exploring further. # Create Intents Post/api/pay/v1/intents This endpoint allows you to create a new intent. ### Request Body - `transaction_type`(string, required): Type of transaction. Default value is set to SALE. If passed, it can only be one of the following: - `SALE` - `VERIFY` - `PREAUTH` - `CREDIT` - `payment_type`(string, required): Type of payment. It can only be one of the following: - `credit-card` - `direct-debit` - `open-banking` - `amount` (number, required): Amount of the transaction (for transaction_type VERIFY, amount should be left out). - `currency` (string, required): Currency of the transaction. See the token's response for available currencies. - `return_url` (string, required): GET URL to return to after transaction completion. - `notification_url` (string, required): POST URL for transaction notification as the transaction is completed. - `customer_name` (string, optional): Name of the customer, this will prefill the `customer_name` in the element responses. - `customer_email` (string, optional): Email of the customer, this will prefill the `customer_email` in the element responses. - `customer_address` (string, optional): Address of the customer, this will prefill the `customer_address` in the element responses. - `customer_postcode`(string, optional): Postcode of the customer, this will prefill the `customer_postcode` in the element responses. - `card_layout`(string, optional): Different structure of card layout for any transaction. This field is optional. If not passed, default value is basic. - `basic` - `single-line` - `multi-line` - `delay_capture_days` (integer, optional): Number of days for which the transaction will be delayed. This field can be passed only for SALE and CREDIT transactions. The maximum number is 30. ### Response Parameters - `id`(number): The unique identifier of the intent. - `payment_intent` (string): The type of payment intent. - `transaction_type` (string): The type of transaction. - `expiry_date` (string): The expiry date of the intent. - `payment_type` (string): The type of payment. - `currency` (string): The currency of the transaction. - `amount` (number): The amount of the transaction. - `return_url` (string): The URL to return to after the transaction. - `notification_url` (string): The URL for transaction notifications. - `card_layout` (string): The layout of the card inputs in ccElement and ccMotoElement. - `element`(object): An object containing specific elements for credit card, moto, and online banking transactions: 1. `ccElement` (string): Credit card element. 2. `ccMotoElement` (string): Moto (Mail Order/Telephone Order) element. 3. `obElement` (string): Open banking element. 4. `ddElement` (string): Direct debit element. 5. `gpElement` (string): Google Pay element. 6. `apElement` (string): Apple Pay element. - `merchant_id` (number): The identifier of the merchant. - `transaction_unique` (string): The unique identifier of the transaction. SecurityHTTPType bearer Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c Body parametersobject Example{ "transaction_type": "SALE", "payment_type": "credit-card", "amount": 1.01, "currency": "GBP", "return_url": "https://demo-app.blinkpayment.co.uk/return", "notification_url": "https://demo-app.blinkpayment.co.uk/", "card_layout": "single-line" } Responses201 Created HeadersDatestringExampleMon, 24 Feb 2025 13:07:41 GMT Content-TypestringExampleapplication/json Transfer-EncodingstringExamplechunked ConnectionstringExamplekeep-alive Set-CookiestringExampleAWSALBCORS=6O8NkhCKdqS0ZUp3AM2B2/m/DfkR4KxKLIHsroimGELnpSuQV2wXl+VO6eYlZGCwoQ5MjlVWT5aZwWkR4hb8FUZFjXIvmn/5yeraLmdZVp+tRcGJYWcxncZTPesC; Expires=Mon, 03 Mar 2025 13:07:40 GMT; Path=/; SameSite=None; Secure ServerstringExampleApache/2.4.62 (Amazon Linux) OpenSSL/3.0.8 Cache-ControlstringExampleno-cache, private X-RateLimit-LimitintegerExample1000 X-RateLimit-RemainingintegerExample998 Strict-Transport-SecuritystringExamplemax-age=63072000 VarystringExampleAuthorization UpgradestringExampleh2 ```json { "id": 147314, "payment_intent": "pi_5RTGc-tSjoYEuKL0zpOFWaBZ5pCu-GpqKhqVAIN7ewCTO0P8FGpNlbAqObZ8Ag0VDjyEAra-a8tQ_vIX-hJmF7ygWlJ9GECYeagTkmpiyfk", "transaction_type": "SALE", "expiry_date": "2025-02-24T13:36:46Z", "amount": 1.01, "currency": "GBP", "payment_type": "credit-card", "return_url": "https://demo-app.blinkpayment.co.uk/return", "notification_url": "https://demo-app.blinkpayment.co.uk/", "card_layout": "single-line", "element": { "ccElement": "\n \n \n \n Card information\n \n \n \n \n Name on card\n \n \n \n Email\n \n \n \n \n \n \n \n ", "obElement": "\n \n \n \n \n \n \n \n ", "gpElement": "\n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n ", "apElement": "\n \n \n \n \n \n \n \n\n \n \n \n \n \n \n \n \n \n \n \n \n \n " }, "merchant_id": 233508, "transaction_unique": "KdSwO3MBWwqE" } ``` object